// creator  : weidu.exe (version 23100)
// argument : PRAT.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PRAT~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 4 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7739 /* ~No, I have no time for this as yet.~ */
  IF ~~ THEN REPLY #7743 /* ~Keep your problems to yourself, I'm leaving.~ */ GOTO 1
  IF ~~ THEN REPLY #7744 /* ~Enough of these games. Tell what you need done and I shall see if I can assist.~ */ GOTO 2
  IF ~~ THEN REPLY #7745 /* ~Mace of Disruption +1~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7740 /* ~Speak on, and I shall see what I can do, if anything.~ */
  IF ~~ THEN DO ~ActionOverride("SAKUL",Enemy())
ActionOverride("ROB",Enemy())
ActionOverride("TAM",Enemy())
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7741 /* ~My reputation is undeserved. Tell me your troubles here. Perhaps I can help.~ */
  IF ~~ THEN DO ~ActionOverride("SAKUL",Enemy())
ActionOverride("ROB",Enemy())
ActionOverride("TAM",Enemy())
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7742 /* ~Very well, though any insults to follow will now be based on your insolent manner. Will you continue your posturing, or do you intend to try and help?~ */
  IF ~~ THEN DO ~ActionOverride("SAKUL",Enemy())
ActionOverride("ROB",Enemy())
ActionOverride("TAM",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #7746 /* ~Well... heh heh heh... The prodigal son returns, heir to his mother's foolishness as always. Well, lemme ask you: how far have you roamed, son, running away from me?~ [COR02] */
  IF ~~ THEN JOURNAL #7747 /* ~Running the Five Flagons Playhouse

The play went well!  Not without a hitch, perhaps, but then I was given little notice to suddenly play the lead before the most important audience the production was to face.  I am surprised I remembered my lines at all.  Still, the troupe did well enough that the play will be able to continue and remain established within Athkatla.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #9112 /* ~As you will have it.  I shall hold back my blade for now.~ */
  IF ~~ THEN EXIT
END
